bash-CVE-2014-6271 Cookbook
===========================

This Chef cookbook contains a default recipe that will fail 
your Chef run if a bash is found and that bash is vulnerable
to the remote exploit described in CVE-2014-6271. The places
to look for `bash` can be configured in the
`node['bash-CVE-2014-6271']['bashes']` attribute (see below)

Requirements
------------

Should work on any UNIX/Linux. Please report problems (ideally with patches)

Attributes
----------

* `node['bash-CVE-2014-6271']['bashes']` - A required array of possible bash executables to test for the vulnerability. Defaults to `/bin/bash` and `/usr/local/bin/bash`

Usage
-----
#### bash-CVE-2014-6271::default

Just include `bash-CVE-2014-6271` in your node's `run_list`:

```json
{
  "name":"my_node",
  "run_list": [
    "recipe[bash-CVE-2014-6271]"
  ]
}
```

Contributing
------------
1. Fork the repository on Github
2. Create a named feature branch (like `add_component_x`)
3. Write your change
4. Write tests for your change (if applicable)
5. Run the tests, ensuring they all pass
6. Submit a Pull Request using Github

License and Authors
-------------------
- Author:: Jeff Blaine (<jblaine@kickflop.net>)

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

